org.eclipse.graphiti

## Class PropertyBag

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag

All Implemented Interfaces:
  IPropertyBag

Direct Known Subclasses:
  DefaultContext

    public class PropertyBag
    extends Object
    implements IPropertyBag

The class PropertyBag.

### Constructor Summary

Constructors
Constructor and Description
`PropertyBag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getProperty(Object key)` Returns the value to which the specified key is mapped, or `null` if there is no mapping for the key.
`List<Object>` `getPropertyKeys()` Returns a `List` of all available property keys.
`Object` `putProperty(Object key, Object value)` Associates the specified value with the specified key.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyBag

    public PropertyBag()

### Method Detail

#### getProperty

    public Object getProperty(Object key)

Description copied from interface: `IPropertyBag`
Returns the value to which the specified key is mapped, or `null` if there is no mapping for the key.

Specified by:
  `getProperty` in interface `IPropertyBag`
See Also:
  `IPropertyBag.putProperty(Object, Object)`

#### putProperty

    public Object putProperty(Object key,
                              Object value)

Description copied from interface: `IPropertyBag`
Associates the specified value with the specified key. If a mapping for the key already exists, the old value is replaced.

Specified by:
  `putProperty` in interface `IPropertyBag`
Parameters:
  `key` - key with which the specified value is to be associated
  `value` - value to be associated with the specified key
Returns:
  the previous value associated with `key`, or `null` if there was no mapping for `key`.
See Also:
  `IPropertyBag.getProperty(Object)`

#### getPropertyKeys

    public List<Object> getPropertyKeys()

Description copied from interface: `IPropertyBag`
Returns a `List` of all available property keys. The list may be empty.

Specified by:
  `getPropertyKeys` in interface `IPropertyBag`
Returns:
  The list of all property keys.
Since:
  0.10